Bug 450474 - segfault in dm_hash_iter()
segfault in dm_hash_iter()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
4.7
All Linux
high Severity high
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
: Regression
Depends On:
Blocks: 444608 444957 449350
  Show dependency treegraph
 
Reported: 2008-06-08 19:36 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
14 users (show)

See Also:
Fixed In Version: RHBA-2008-0735
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
needed fix (960 bytes, patch)
2008-06-08 19:39 EDT, Milan Broz
no flags Details | Diff

  None (edit)
Description Milan Broz 2008-06-08 19:36:52 EDT
device-mapper segfaults with new lvm2 build

New lvm2 build requires device-mapper dm_hash_iter to be safe againts deletion
of list member during iteration.
Comment 2 Milan Broz 2008-06-08 19:39:09 EDT
Created attachment 308663 [details]
needed fix
Comment 4 Milan Broz 2008-06-09 10:21:01 EDT
In device-mapper-1.02.25-2.el4.
Comment 7 errata-xmlrpc 2008-07-24 15:58:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0735.html

Note You need to log in before you can comment on or make changes to this bug.